%define name gIDE
%define version 0.1.7
%define release 2mdk
# this package is not relocatable
%define prefix /usr

Name:		%{name}
Summary:	GTK-based Integrated Development Environment for C
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Editors
URL:		http://gide.pn.org/
Source:		%{name}-%{version}.tar.bz2
Requires:	gnome-libs >= 1.0.0, guile >= 1.3
BuildRoot:	/var/tmp/%{name}-buildroot
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
The development has just started, but gIDE already features a powerful
Editor with Syntax Highlighting and (One-Line-)Indenter that can
Create, Open, Close, Save & Print Files and there are already
operations like Cut, Copy & Paste implemented.  Search and some Tools
are integrated as well.  gIDE is currently in heavy development and
help will always be appreciated.


%prep
%setup -q


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --localstatedir=/var/lib
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi


%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
	localstatedir=$RPM_BUILD_ROOT/var/lib install

mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
cp AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

rm -rf $RPM_BUILD_ROOT/usr/lib/gide/*.a
rm -rf $RPM_BUILD_ROOT/usr/lib/gide/plugins/0.1.7/*.a

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root,0755)
%dir /usr/share/gIDE
%dir /usr/share/gIDE/extra
%dir /usr/lib/gide
%dir /usr/lib/gide/plugins
%dir /usr/lib/gide/plugins/0.1.7
%dir /usr/doc/%{name}-%{version}
/usr/share/gIDE/extra/*
/usr/lib/gide/plugins/0.1.7/*
/usr/doc/%{name}-%{version}/*
/usr/include/*
/usr/bin/*
/usr/man/man1/*


%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.7-2mdk
- fix group
- fix permission on spec

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- remove filelist for correct use with spec-helper
- user srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 29 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
